de.caff.util.settings.swing

## Class SwingDirectoryPreferenceProperty

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.SwingDirectoryPreferenceProperty

- All Implemented Interfaces:
    ChangeableItem, DirectoryPreferenceProperty, PreferenceProperty, EditablePreferenceProperty, EditableProperty, java.io.Serializable

      public class SwingDirectoryPreferenceProperty
      extends AbstractBasicSimpleEditableChangeableItem
      implements DirectoryPreferenceProperty, EditablePreferenceProperty

  Editable directory preference property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.caff.util.settings.PreferenceProperty

      `PROPERTY_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingDirectoryPreferenceProperty(java.lang.String basicName, java.lang.String baseTag, java.io.File directory)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getDirectory()` Get the directory.
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor components for editing this preference property.
    `void` | `readFrom(java.util.prefs.Preferences preferences)` Read the property value from the preferences.
    `void` | `setDirectory(java.io.File directory)` Set the directory.
    `void` | `storeTo(java.util.prefs.Preferences preferences)` Store the current property value in the preferences.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### SwingDirectoryPreferenceProperty

          public SwingDirectoryPreferenceProperty(@NotNull
                                                  java.lang.String basicName,
                                                  @NotNull
                                                  java.lang.String baseTag,
                                                  @Nullable
                                                  java.io.File directory)

      Constructor.
      Parameters:
        `basicName` - basic name (prefix)
        `baseTag` - basic i18n tag
        `directory` - default value

  - ### Method Detail

    - #### readFrom

          public void readFrom(@NotNull
                               java.util.prefs.Preferences preferences)

      Read the property value from the preferences.
      Specified by:
        `readFrom` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences from where to read the property value

    - #### storeTo

          public void storeTo(@NotNull
                              java.util.prefs.Preferences preferences)

      Store the current property value in the preferences.
      Specified by:
        `storeTo` in interface `PreferenceProperty`
      Parameters:
        `preferences` - preferences where to store the property value

    - #### getEditorProvider

          @NotNull
          public EditorProvider getEditorProvider(@Nullable
                                                           java.util.Locale l)

      Get the editor components for editing this preference property.
      Specified by:
        `getEditorProvider` in interface `EditableProperty`
      Parameters:
        `l` - locale used for i18n
      Returns:
        editor components

    - #### getDirectory

          public java.io.File getDirectory()

      Get the directory.
      Specified by:
        `getDirectory` in interface `DirectoryPreferenceProperty`
      Returns:
        the directory

    - #### setDirectory

          public void setDirectory(java.io.File directory)

      Set the directory.
      Specified by:
        `setDirectory` in interface `DirectoryPreferenceProperty`
      Parameters:
        `directory` - the directory